Title
Removing deprecated increment of bool
Status
cd4
Section
7.6.2.3 [expr.pre.incr]
Submitter
Bjarne Stroustrup

Created on 2013-04-19.00:00:00 last changed 49 months ago

Messages

Date: 2015-10-15.00:00:00

[Adopted at the October, 2015 meeting as P0002R1.]

The preincrement (7.6.2.3 [expr.pre.incr]) and postincrement (7.6.1.6 [expr.post.incr]) operators can be applied to operands of type bool, setting the operand to true, but this use is deprecated. Can it now be removed altogether?

History
Date User Action Args
2017-02-06 00:00:00adminsetstatus: accepted -> cd4
2015-11-10 00:00:00adminsetstatus: drafting -> accepted
2013-10-14 00:00:00adminsetstatus: open -> drafting
2013-04-19 00:00:00admincreate